'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var FLEX_NONE = exports.FLEX_NONE = 'none';
var FLEX_INITIAL = exports.FLEX_INITIAL = 'initial';
var FLEX_AUTO = exports.FLEX_AUTO = 'auto';
var FLEX_GROW = exports.FLEX_GROW = 'grow';
var FLEX_NOGROW = exports.FLEX_NOGROW = 'nogrow';
var FLEX_NOSHRINK = exports.FLEX_NOSHRINK = 'noshrink';

/**
 * Prepare all possible values for flex[-*] props.
 * @returns {Array}
 */
var getPossibleFlexValues = exports.getPossibleFlexValues = function getPossibleFlexValues() {
  var f = [];

  for (var i = 0; i <= 100; i = i + 5) {
    f.push(i);
  }

  f.push(33);
  f.push(66);

  f.push(FLEX_NONE);
  f.push(FLEX_INITIAL);
  f.push(FLEX_AUTO);
  f.push(FLEX_GROW);
  f.push(FLEX_NOGROW);
  f.push(FLEX_NOSHRINK);

  return f;
};

/**
 * Prepare all possible values for order[-*] props.
 * @returns {Array}
 */
var getPossibleOrderValues = exports.getPossibleOrderValues = function getPossibleOrderValues() {
  var o = [];

  for (var i = -20; i <= 20; i++) {
    o.push(i);
  }

  return o;
};

/**
 * Prepare all possible values for offset[-*] props.
 * @returns {Array}
 */
var getPossibleOffsetValues = exports.getPossibleOffsetValues = function getPossibleOffsetValues() {
  var o = [];

  for (var i = 0; i <= 100; i = i + 5) {
    o.push(i);
  }

  o.push(33);
  o.push(66);

  return o;
};